var generalLogPage = {
  index: 1,
  amount: 10,
  pageCount: 1
}
var auditLogPage = {
  index: 1,
  amount: 10,
  pageCount: 1
}
var audit_action = {
  1: 'Access',
  2: 'Create/Change',
  3: 'Create',
  4: 'Mkdir',
  5: 'Rename',
  6: 'Move',
  7: 'Recycled',
  8: 'Delete'
}

var currentModule = 'general';
var g_sadnos = []; //保存目录sadnos

var auditlogSortS = [];

function auditTemplateAppend(target, template, name) {
  jQuery('#' + template).clone().attr('id', name).show().appendTo(target);
  var tagName = '#' + name;
  return jQuery(tagName);
};

function auditLoadingShow() {
  jQuery('#audit_waiting_content').show();
  jQuery('#audit_waiting_logo').show();
}

function auditLoadingHide() {
  jQuery('#audit_waiting_content').hide();
  jQuery('#audit_waiting_logo').hide();
}


//全选
function auditlogallcheckd(target, type) {
  var e = window.event || arguments.callee.caller.arguments[0];
  if (e.target.checked) {
    jQuery(target).children().each(function(i, e) {
      jQuery(e).find('input[type=checkbox]').prop('checked', true);
    })

    if (type == 'general') {
      jQuery('#jv-deletegeneralLogbtn').attr('class', 'unas_button_sub');
      jQuery('#jv-eraseLogbtn').attr('class', 'unas_button_sub');
    } else {
      jQuery('#jv-deleteauditlogbtn').attr('class', 'unas_button_sub');
    }
  } else {
    jQuery(target).children().each(function(i, e) {
      jQuery(e).find('input[type=checkbox]').prop('checked', false);
    })
    if (type == 'general') {
      jQuery('#jv-deletegeneralLogbtn').attr('class', 'unas_button_sub_disabled');
      jQuery('#jv-eraseLogbtn').attr('class', 'unas_button_sub_disabled');
    } else {
      jQuery('#jv-deleteauditlogbtn').attr('class', 'unas_button_sub_disabled');
    }

  }
}

// 排序
function sortlog(type, index, arr) {

  if (type == 'ascending') {
    arr.sort(function(row1, row2) {
      var val1 = Number(row1[index]) || row1[index];
      var val2 = Number(row2[index]) || row2[index];
      if (val2 > val1) {
        return 1;
      } else if (val2 < val1) {
        return -1;
      } else {
        return 0;
      }
    });

  } else {
    arr.sort(function(row1, row2) {
      var val1 = Number(row1[index]) || row1[index];
      var val2 = Number(row2[index]) || row2[index];
      if (val1 > val2) {
        return 1;
      } else if (val1 < val2) {
        return -1;
      } else {
        return 0;
      }
    });
  }

  return arr;
}

//上一页
function prevpage() {
  var currentModulePage = {};

  auditLogPage.index--;
  if (auditLogPage.index < 1) {
    auditLogPage.index = 1;
    return;
  }
  smbaudit_log_loadby(auditLogPage);
}

//下一页
function lognextpage() {

  auditLogPage.index++;
  if (auditLogPage.index > auditLogPage.pageCount) {
    auditLogPage.index = auditLogPage.pageCount;
    return;
  } else {
    smbaudit_log_loadby(auditLogPage);
  }
}

//确认弹窗
function auditAlertWindow(title, text, fn, isck, vmname) {
  var alertWindow = new MUI.Modal({
    id: 'jv-alertWindow',
    title: UNAS._(title),
    modal: true,
    modalOverlayClose: false,
    width: 400,
    height: 200,
    contentURL: '/apps/samba/smbaudit/alert.html?v=6.0.48&text=' + text + '&showcheckbox=' + isck + "&vmname=" + vmname
  });
  alertWindow.callBack = function() {
    if (typeof fn == 'function') {
      fn();
    }
  };
}
