function smbaudit_dir_loadby() {
  auditLoadingShow();
  jQuery.ajax({
    url: '/wmi/index.php',
    type: 'POST',
    data: JSON.encode({
      cmd: 'smbaudit_dir_loadby',
      token: UToken
    }),
    dataType: 'json',
    contentType: 'application/json',
    success: function(data) {
      if (data.err == 0) {
        var info = data.results || {};
        var records = info.records || [];
        refreshGeneralLog(records);
        jQuery('#jv-log-dirs').html('');
        var str = '<option value="0">' + UNAS._('All') + '</option>';
        var _len = records.length;
        if (_len > 0) {
          for (var i = 0; i < _len; i++) {
            var f = records[i];
            str += '<option value="' + f.sadno + '">' + f.dir + '</option>';
          }
          jQuery('#jv-log-dirs').append(str);
        }

      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {},
    complete: function(xhr, status) {
      auditLoadingHide();
    }
  });
}

function refreshGeneralLog(arry) {
  jQuery('#jv-generalLoghost').empty();
  if (!arry.length) {
    jQuery('#jv-generallogallcheckd').prop('disabled', true);
    return;
  }else {
    jQuery('#jv-generallogallcheckd').prop('disabled', false);
  }
  jQuery('#jv-deletegeneralLogbtn').attr('class', 'unas_button_sub_disabled');
  jQuery('#jv-eraseLogbtn').attr('class', 'unas_button_sub_disabled');
  for (var i = 0; i < arry.length; i++) {
    var generalLogdata = arry[i];
    g_sadnos.push(generalLogdata.sadno);
    var generalLogdom = auditTemplateAppend('#jv-generalLoghost', 'jvt-generalLogtr', 'jvt-generalLogtr' + i);
    generalLogdom.find('.logpath').text(generalLogdata.dir);
    generalLogdom.find('label').attr('for', 'generalLog_select-' + i);
    generalLogdom.find('input').attr('id', 'generalLog_select-' + i).data('generalLoginfo', generalLogdata).on('click', function(e) {
      var target = e.currentTarget;
      var k = 0;
      jQuery('#jv-generalLoghost').children().each(function(i, ce) {
        if (jQuery(ce).find('input[type=checkbox]').prop('checked')) {
          k++;
        }
      })
      if (k) {
        jQuery('#jv-deletegeneralLogbtn').attr('class', 'unas_button_sub');
        jQuery('#jv-eraseLogbtn').attr('class', 'unas_button_sub');

      } else {
        jQuery('#jv-deletegeneralLogbtn').attr('class', 'unas_button_sub_disabled');
        jQuery('#jv-eraseLogbtn').attr('class', 'unas_button_sub_disabled');
      }

      if (jQuery('#jv-generalLoghost').children().length == k) {
        jQuery('#jv-generallogallcheckd').prop('checked', true);
      } else {
        jQuery('#jv-generallogallcheckd').prop('checked', false);
      }

    });
    generalLogdom.find('.unas_icon_delete').attr('onClick', 'deleteSmbAuditLog(' + generalLogdata.sadno + ',"' + generalLogdata.dir + '")');
  }

}

function smbaudit_log_loadby(p) {
  auditLoadingShow();
  jQuery.ajax({
    url: '/wmi/index.php',
    type: 'POST',
    data: JSON.encode({
      cmd: 'smbaudit_log_loadby',
      token: UToken,
      params: {
        ofpage: p.amount,
        page: p.index,
        sadno: jQuery('#jv-log-dirs').val() || 0
      }
    }),
    dataType: 'json',
    contentType: 'application/json',
    success: function(data) {
      if (data.err == 0) {
        var info = data.results || {};
        var records = info.records || [];
        auditlogSortS = records;
        refreshAuditLog(records);

        layui.use('laypage', function() {
          var laypage = layui.laypage;
          laypage.render({
            elem: 'jv-paging',
            count: info.reccount, //数据总数，从服务端得到,
            limit: auditLogPage.amount,
            layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
            limits:[10, 50, 100],
            curr: auditLogPage.index,
            prev: UNAS._('##$@audit@$##Prev##$@audit@$##'), //若不显示，设置false即可
            next: UNAS._('##$@audit@$##Next##$@audit@$##'), //若不显示，设置false即可
            jump: function(obj, first) {
              auditLogPage.index = obj.curr;
              jQuery('.tots').text(UNAS._('To'));
              jQuery('.pagets').text(UNAS._('Page'));
              jQuery('.totalts').text(UNAS._('Total'));
              jQuery('.layui-laypage-btn').text(UNAS._('##$@audit@$##Confirm##$@audit@$##'));

              jQuery('.layui-laypage-limits select').children().each(function(i, ce) {
    						var v = jQuery(ce).attr('value');
    						jQuery(ce).text(v + " " + UNAS._('item/page'));
    					})

              auditLogPage.amount = obj.limit;
              if (!first) {
                smbaudit_log_loadby(p);
              }
            }
          });
        });

      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {},
    complete: function(xhr, status) {
      auditLoadingHide();
    }
  });
}

function refreshAuditLog(arry) {

  jQuery('#jv-auditloghost').empty();
  if (!arry.length) {
    jQuery('#jv-aditlogallcheckd').prop('disabled', true);
    return;
  }else {
    jQuery('#jv-aditlogallcheckd').prop('disabled', false);
  }
  jQuery('#jv-deleteauditlogbtn').attr('class', 'unas_button_sub_disabled');
  for (var i = 0; i < arry.length; i++) {
    var auditLogdata = arry[i];
    var auditLogdom = auditTemplateAppend('#jv-auditloghost', 'jvt-auditlogtr', 'jvt-auditlogtr-' + i);
    auditLogdom.find('.path').text(auditLogdata.filepath);
    auditLogdom.find('.user').text(auditLogdata.user);
    auditLogdom.find('.group').text(auditLogdata.group);
    auditLogdom.find('.ip').text(auditLogdata.ipaddr);
    auditLogdom.find('.time').text(auditLogdata.datetime);
    auditLogdom.find('.sharename').text(auditLogdata.sharename);
    auditLogdom.find('.machine').text(auditLogdata.machine);
    auditLogdom.find('.explain').text(auditLogdata.explain);
    auditLogdom.find('.action').text(UNAS._(audit_action[auditLogdata.action])).attr('action', auditLogdata.action);

    auditLogdom.find('label').attr('for', 'auditLog_select-' + i);
    auditLogdom.find('input').attr('id', 'auditLog_select-' + i).data('auditLoginfo', auditLogdata).on('click', function(e) {
      var target = e.currentTarget;
      var k = 0;
      jQuery('#jv-auditloghost').children().each(function(i, ce) {
        if (jQuery(ce).find('input[type=checkbox]').prop('checked')) {
          k++;
        }
      })
      if (k) {
        jQuery('#jv-deleteauditlogbtn').attr('class', 'unas_button_sub');
      } else {
        jQuery('#jv-deleteauditlogbtn').attr('class', 'unas_button_sub_disabled');
      }

      if (jQuery('#jv-auditloghost').children().length == k) {
        jQuery('#jv-aditlogallcheckd').prop('checked', true);
      } else {
        jQuery('#jv-aditlogallcheckd').prop('checked', false);
      }

    });
  }

}

function changeDirLog() {
  smbaudit_log_loadby(auditLogPage);
}
//添加
function addSmbAuditDir() {
  var addSmbAuditWindow = new MUI.Modal({
    id: 'jv-addSmbAuditWindow',
    title: UNAS._('Add'),
    modal: true,
    modalOverlayClose: false,
    width: 400,
    height: 200,
    contentURL: '/apps/samba/smbaudit/addsmbauditdir.html?v=6.0.48&'
  });
  addSmbAuditWindow.callBack = function() {
    smbaudit_dir_loadby();
  };
}
// deleteLog
function deleteSmbAuditLog(s, n) {
  var t = n ? n : UNAS._('Selected logs');
  auditAlertWindow('Delete logs', 'Confirm Delete', function() {
    var sadno = [];
    if (s) {
      sadno.push(s);
    } else {
      jQuery('#jv-generalLoghost').children().each(function(i, e) {
        if (jQuery(e).find('input[type=checkbox]').prop('checked')) {
          var generalLoginfo = jQuery(e).find('input').data('generalLoginfo');
          sadno.push(generalLoginfo.sadno);
        }
      })
    }
    smbaudit_dir_remove(sadno);
  }, 0, t);
}

//删除需要审计的目录
function smbaudit_dir_remove(s) {
  jQuery.ajax({
    url: '/wmi/index.php',
    type: 'POST',
    data: JSON.encode({
      cmd: 'smbaudit_dir_remove',
      token: UToken,
      params: {
        sadnos: s
      }
    }),
    dataType: 'json',
    contentType: 'application/json',
    success: function(data) {
      if (data.err == 0) {

      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {},
    complete: function(xhr, status) {
      smbaudit_dir_loadby();
    }
  });

}

//清除log
function smbaudit_dir_erase() {
  auditAlertWindow('Erase Log', 'Are you sure to erase all logs', function() {
    auditLoadingShow();
    var sadno = [];
    jQuery('#jv-generalLoghost').children().each(function(i, e) {
      if (jQuery(e).find('input[type=checkbox]').prop('checked')) {
        var generalLoginfo = jQuery(e).find('input').data('generalLoginfo');
        sadno.push(generalLoginfo.sadno);
      }
    })

    jQuery.ajax({
      url: '/wmi/index.php',
      type: 'POST',
      data: JSON.encode({
        cmd: 'smbaudit_dir_erase',
        token: UToken,
        params: {
          sadnos: sadno
        }
      }),
      dataType: 'json',
      contentType: 'application/json',
      success: function(data) {
        if (data.err == 0) {
          var info = data.results || {};
          smbaudit_dir_loadby();
        }
      },
      error: function(XMLHttpRequest, textStatus, errorThrown) {},
      complete: function(xhr, status) {
        auditLoadingHide();
      }
    });

  }, 0, "");
}

// 删除audit 日志
function smbaudit_log_remove(t) {

  var audnos = [];
  jQuery('#jv-auditloghost').children().each(function(i, e) {
    if (jQuery(e).find('input[type=checkbox]').prop('checked')) {
      var auditLoginfo = jQuery(e).find('input').data('auditLoginfo');
      audnos.push(auditLoginfo.audno);
    }
  })

  auditAlertWindow('Delete logs', 'Confirm Delete', function() {
    auditLoadingShow();
    jQuery.ajax({
      url: '/wmi/index.php',
      type: 'POST',
      data: JSON.encode({
        cmd: 'smbaudit_log_remove',
        token: UToken,
        params: {
          audnos: audnos
        }
      }),
      dataType: 'json',
      contentType: 'application/json',
      success: function(data) {
        if (data.err == 0) {
          smbaudit_log_loadby(auditLogPage);
        }
      },
      error: function(XMLHttpRequest, textStatus, errorThrown) {},
      complete: function(xhr, status) {
        auditLoadingHide();
      }
    });

  }, 0, UNAS._('Selected logs'));
}
// 改变按钮状态
function changeDeleteBtn() {
  var k = 0;
  jQuery('#jv-generalLoghost').children().each(function(i, ce) {
    if (jQuery(ce).find('input[type=checkbox]').prop('checked')) {
      k++;
    }
  })
  if (k) {
    jQuery('#jv-deletegeneralLogbtn').attr('class', 'unas_button_sub');
  } else {
    jQuery('#jv-deletegeneralLogbtn').attr('class', 'unas_button_sub_disabled');
  }
}





// export
function smbaudit_log_export() {

  var data = JSON.encode({
    "cmd": "smbaudit_log_export",
    "token": UToken
  });
  var req = new XMLHttpRequest();
  req.open("post", "/wmi/index.php", true);
  req.onload = function(oEvent) {
    var content = JSON.parse(req.response);
    var downloadLink = location.origin + content.results.path;
    var f = content.results.path.split('/');
    var filename = f[f.length - 1];

    var elink = document.createElement('a');
    elink.download = filename;
    elink.style.display = 'none';
    elink.href = downloadLink;

    document.body.appendChild(elink);
    elink.click();

    document.body.removeChild(elink);
  };
  req.send(data);
}

function refreshsmbauditLog(){
  jQuery('#jv-generallogallcheckd').prop('checked', false);
  jQuery('#jv-aditlogallcheckd').prop('checked', false);

  smbaudit_dir_loadby();

  smbaudit_log_loadby(auditLogPage);
}

(function() {

  smbaudit_dir_loadby();

  smbaudit_log_loadby(auditLogPage);

  jQuery('#jv-smbaudit-page div[unastabtype]').each(function(i, e) {
    e.onclick = function() {
      jQuery('#jv-smbaudit-page div[unastabtype]').attr('class', 'unas_tab');
      jQuery(this).attr('class', 'unas_tab_sel');
      jQuery(this).siblings('div[unastabtype]').each(function(k, ce) {
        jQuery('#jv-' + jQuery(ce).attr('unastabtype')).attr('style', 'display:none;');
      })
      var id = jQuery(this).attr('unastabtype');
      currentModule = id;
      jQuery('#jv-' + id).attr('style', 'display:block');
    }
  })

  jQuery('#jv-auditlog-table .jvc-logSort').each(function(i, ev) {
    jQuery(ev).on('mouseenter', function(em) {
      // rowindex = jQuery(em.target).attr('index');
    })
    ev.onclick = function(t) {
      var ec = t.target;
      rowindex = jQuery(ec).attr('index');
      sortType = jQuery(ec).attr('type');

      if (jQuery(ec).attr('type') == 'ascending') {
        jQuery(ec).attr('type', 'descending')
      } else {
        jQuery(ec).attr('type', 'ascending');
      }

      refreshAuditLog(sortlog(sortType, rowindex, auditlogSortS));
    }

  })

  jQuery('#jv-generaldir-search').keyup(function() {
    jQuery('#jv-generalLoghost tr').hide().filter(":contains('" + (jQuery(this).val()) + "')").show();
  });

  jQuery('#jv-auditlog-search').keyup(function() {
    jQuery('#jv-auditloghost tr').hide().filter(":contains('" + (jQuery(this).val()) + "')").show();
  });

})();
